Module
Contents
Index 🔎︎

# DefErr Statement

If no type-declaration character or keyword is specified, the DefErr statement sets the default variable type, according to a letter range.

## Syntax:

    Defxxx Characterrange1[, Characterrange2[,...]]

## Parameters:

Characterrange: Letters that specify the range of variables that you want to set the default data type for.

xxx: Keyword that defines the default variable type:

Keyword: Default variable type

DefErr: Error

## Example:

    ' Prefix definition for variable types:

    DefBool b

    DefDate t

    DefDbl d

    DefInt i

    DefLng l

    DefObj o

    DefVar v

    DefErr e

    Sub ExampleDefErr

        eErr=Error ' eErr is an implicit error variable

    End Sub